ConfettiDocs
Public APIResponses

Submit a survey response

PUT/v1/cfti/{surveyId}/response/{responseId}

Create or update a respondent's answers for a survey. The response ID is client-generated, making this idempotent. Requires the team's publishable key.

Authorization

ApiKeyAuth
x-cfti-pk<token>

Your team's publishable key, found on the Setup page in Confetti.

In: header

Path Parameters

surveyId*string
responseId*|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/cfti/123/response/123" \  -H "Content-Type: application/json" \  -d '{    "respondent": "string",    "data": {      "property1": "string",      "property2": "string"    },    "metadata": {      "property1": "string",      "property2": "string"    }  }'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z"}